Redmine - Defect #8612

Custom Field Update gives Internal error
2011-06-15 07:34 - Sudheendra Panganamala

Status: Closed Start date: 2011-06-15
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: No feedback Affected version: 1.0.2
Description

| have created a Custom Field with type "Long Text".

Trying to update the field with following text.

BPC=4Bitl000DLScreenl000000000000000000000000000000000000D00DO0DODOODOO0OCD
00000000000000o0Do0Do0Do0n00PeLelDO0DOODODDODD0DD0D00DO0DOD

It gives Internal Error. (Image enclosed)

Redmine Version : 1.0.2

History

#1 - 2011-06-15 09:11 - Etienne Massip

What's the contents of the production.log file relating to this error ?

#2 - 2011-06-15 11:20 - Sudheendra Panganamala
Hi Massip,

Production Log details are as follows:

Processing IssuesController#update (for 172.29.240.69 at 2011-06-15 14:47:51) [PUT]

Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Submit", "action"=>"update", "_method"=>"put",
"authenticity _token"=>"tkwsNkgQfHVHI1vEp78wfwF4nO08XGZBqtviR/33/Cg=", "id"=>"9", "notes"=>"", "controller"=>"issues",
"issue"=>{"start_date"=>"2010-12-22", "parent_issue_id"=>"", "estimated_hours"=>"", "lock_version"=>"3", "priority_id"=>"4", "subject"=>"Re-work
Schedule Feature", "fixed_version_id"=>"2", "description"=>"", "tracker_id"=>"2", "done_ratio"=>"80", "due_date"=>"", "assigned_to_id"=>"5",
"status_id"=>"5",

"custom_field_values"=>{"3"=>"BPC=4Bitd®4 "a"4€DLScreenaef...a ¢ afijaf¢afeceoa, aCEa,,...&18G¢o%82a™a, At cta(EaeScea‘ala,a, c®tae%.ca(Ea 4,
Sacaa®@aVYac,ie§,a%afafcaficeasa, angéta«&i(Eagala,a%a—avYas,
\Nna“a,(Ea«a,"a,Sa€e(Etee " aftaf4a,a1°4S 2™, 4 &f af¢afecea  61aCEE ™M (B «6"a—a€EPCLEE§L 224 -

a«&fjafcafea,eqa«<a, a,at...6f a, af0af4aCEc ™G Y 4—4a14,5%48—aYa€ \n\n"}}, "attachments"=>{"1"=>{"description"=>""}}}
ActiveRecord::Statementlnvalid (Mysql::Error: Incorrect string value: "xE9\x87' for column 'value' at row 1: INSERT INTO “journal_details™ (‘property",
“old_value’, “value’, “journal_id", "prop_key’) VALUES):

app/models/journal.rb:43:in “save'

app/models/issue.rb:806:in “create_journal'

app/models/issue.rb:512:in “save_issue_with_child_records'

app/models/issue.rb:494:in “save_issue_with_child_records'
app/controllers/issues_controller.rb:170:in “update'

Rendering D:/SSDIRedmines/esignageredmine-1.0.4/public/500.html (500 Internal Server Error)

#3 - 2011-06-15 13:18 - Etienne Massip

Is your MySQL journal_details.value column / table / db charset set to UTF-8 as it should ?

#4 - 2011-06-16 05:36 - Sudheendra Panganamala
Yes, the tables character set to UTF - 8.

| tried inserting the values manually and able to succeed.

#5 - 2011-06-20 03:40 - Jean-Baptiste Barth
Can you tell us which version of mysgl or mysqgl2 gem you use, and which version of ruby ? Anything required in SubmittingBugs would be helpful too.

#6 - 2013-04-20 08:37 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#7 - 2013-04-20 09:52 - Toshi MARUYAMA
- Due date deleted (2011-06-24)

#8 - 2013-12-19 21:57 - Jan Niggemann (redmine.org team member)
- Status changed from Needs feedback to Closed

- Resolution set to No feedback
